gstreamermm: Gst::DecodeBin Class Reference

# Gst::DecodeBin Class Reference
[gstreamermm Plugins]

Gst::DecodeBin - decodebin plugin. More...

`#include <decodebin.h>`

Inheritance diagram for Gst::DecodeBin:

List of all members.

## Public Member Functions
virtual | ~DecodeBin ()
GstDecodeBin* | gobj ()
| Provides access to the underlying C GObject.
const GstDecodeBin* | gobj () const
| Provides access to the underlying C GObject.
GstDecodeBin* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy <Glib::RefPtr<Gst::Caps>> | property_sink_caps ()
| The caps of the input data.
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gst::Caps>> | property_sink_caps () const
| The caps of the input data.
Glib::SignalProxy2< void, const Glib::RefPtr<Gst::Pad> &, bool > | signal_new_decoded_pad ()
Glib::SignalProxy1< void, const Glib::RefPtr<Gst::Pad >&> | signal_removed_decoded_pad ()
Glib::SignalProxy2< void, const Glib::RefPtr<Gst::Pad> &, const Glib::RefPtr <Gst::Caps >&> | signal_unknown_type ()
## Static Public Member Functions
static Glib::RefPtr<DecodeBin> | create ()
| Creates a new decodebin plugin with a unique name.
static Glib::RefPtr<DecodeBin> | create (const Glib::ustring& name)
| Creates a new decodebin plugin with the given name.
## Protected Member Functions
| DecodeBin ()
| DecodeBin (const Glib::ustring& name)
virtual void | on_new_decoded_pad (const Glib::RefPtr<Gst::Pad>& arg0, bool arg1)
virtual void | on_removed_decoded_pad (const Glib::RefPtr<Gst::Pad>& arg0)
virtual void | on_unknown_type (const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::DecodeBin> | wrap (GstDecodeBin* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::DecodeBin - decodebin plugin.

Please include <gstreamermm/decodebin.h> to use. Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems and the ones that aren't available are not included in the build.

## Constructor& Destructor Documentation

virtual Gst::DecodeBin::~DecodeBin | ( |  | ) | `[virtual]`

Gst::DecodeBin::DecodeBin | ( |  | ) | `[protected]`

Gst::DecodeBin::DecodeBin | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

GstDecodeBin* Gst::DecodeBin::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Bin.

const GstDecodeBin* Gst::DecodeBin::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Bin.

GstDecodeBin* Gst::DecodeBin::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Bin.

static Glib::RefPtr<DecodeBin> Gst::DecodeBin::create | ( |  | ) | `[static]`

Creates a new decodebin plugin with a unique name.

Reimplemented from Gst::Bin.

static Glib::RefPtr<DecodeBin> Gst::DecodeBin::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new decodebin plugin with the given name.

Reimplemented from Gst::Bin.

Glib::PropertyProxy<Glib::RefPtr<Gst::Caps>> Gst::DecodeBin::property_sink_caps | ( |  | ) |

The caps of the input data.

(NULL = use typefind element).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gst::Caps>> Gst::DecodeBin::property_sink_caps | ( |  | ) | const

The caps of the input data.

(NULL = use typefind element).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy2<void,const Glib::RefPtr<Gst::Pad>&,bool> Gst::DecodeBin::signal_new_decoded_pad | ( |  | ) |

Prototype:
  `void on_my_new_decoded_pad(const Glib::RefPtr<Gst::Pad>& arg0, bool arg1)`

Glib::SignalProxy1<void,const Glib::RefPtr<Gst::Pad>&> Gst::DecodeBin::signal_removed_decoded_pad | ( |  | ) |

Prototype:
  `void on_my_removed_decoded_pad(const Glib::RefPtr<Gst::Pad>& arg0)`

Glib::SignalProxy2<void,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>&> Gst::DecodeBin::signal_unknown_type | ( |  | ) |

Prototype:
  `void on_my_unknown_type(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

virtual void Gst::DecodeBin::on_new_decoded_pad | ( | const Glib::RefPtr<Gst::Pad>& | arg0,
|  | bool | arg1 |
| ) |  |  | `[protected, virtual]`

virtual void Gst::DecodeBin::on_removed_decoded_pad | ( | const Glib::RefPtr<Gst::Pad>& | arg0 | ) | `[protected, virtual]`

virtual void Gst::DecodeBin::on_unknown_type | ( | const Glib::RefPtr<Gst::Pad>& | arg0,
|  | const Glib::RefPtr<Gst::Caps>& | arg1 |
| ) |  |  | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Gst::DecodeBin> wrap | ( | GstDecodeBin * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- decodebin.h